var APIBase = require("../../api.base");
var system = require("../../../system");
const { Signer, Context } = require('jdcloud-sdk-signer')
class jdAuthAPI extends APIBase {
    constructor() {
        super();
    }

    async getUser(pobj, qobj, req) {
        console.log("pobj......getUser..........:\n", pobj);
        console.log("qobj......getUser..........:\n", qobj);
        return { getUser: "ok" };
    }

    async payOrderInfo(pobj, qobj, req) {
        console.log("pobj......payOrderInfo..........:\n", pobj);
        console.log("qobj......payOrderInfo..........:\n", qobj);
        return { payOrderInfo: "ok" };
    }
    async getJdSign(pobj, qobj, req) {
        try {

            let ctx = new Context('x3k0s704lfun-test.cn-north-1.jdcloud-api.net', '/market/order/order-inner/submit', 'POST', null, 'empty');
            ctx.regionId = 'cn-north-1'
            ctx.headers.set('content-type', 'text/plain')

            let credentials = {
                accessKeyId: 'C6D680733C19362B5DF478207D6A90A4', //替换自己的AK
                secretAccessKey: 'EB9AFEE49CE41700CADD5F2EE3B2122C' //替换自己的SK--jd>>>>>>>
            }

            //测试报文：
            //GET            
            // ctx.body = "pin=jcloud_pRiHQTd&serviceId=580010&itemCode=FW_GOODS-580010-1&platform=6"
            //POST
            var qs = require('querystring');
            var post_data = { pin="jcloud_pRiHQTd", serviceId=580010, itemCode="FW_GOODS-580010-1", platform=6 };//这是需要提交的数据
            var tmpContent = JSON.stringify(post_data);
            var content = qs.stringify(post_data);
            ctx.body = content;
            ctx.method = 'POST'
            var signer = new Signer(ctx, credentials)
            var dd = new Date()

            ctx.headers.set('Content-Length', ctx.body.length)
            ctx.buildNonce()

            var auth = signer.sign(dd);

            console.log("POST签名为：", auth)
            ctx.headers.set('Authorization', auth)

            ////////////////////////////////////////////////////////////////////////////////////////////////////////////
            var http = require('https');
            // var content = ctx.body;

            var options = {
                host: 'x3k0s704lfun-test.cn-north-1.jdcloud-api.net',
                port: 443,
                path: '/market/order/order-inner/submit',
                method: 'POST',
                headers: {
                }
            };
            for (let [key, value] of ctx.headers) {
                options.headers[key] = value
            }
            console.log("post options:\n", options);
            //console.log("content:",content);
            //console.log("\n");

            var req = http.request(options, function (res) {
                console.log("--jd>>>>>>>>>>>>>statusCode: ", res.statusCode);
                console.log("--jd>>>>>>>>>>>>>headers: ", res.headers);
                var _data = '';
                res.on('data', function (chunk) {
                    _data += chunk;
                });
                res.on('end', function () {
                    console.log("\n---jd>>>>>>>>>>>>>.>>\nresult:", _data)
                });
            });
            req.on('error', (e) => {
                console.error(`--jd>>>>>>>>>>>>>请求遇到问题: ${e.message}`);
            });
            req.write(content);
            req.end();
        } catch (errorMsg) {
            console.log(errorMsg, "--jd>>>>>>>errorMsg..............................>>>>>>");
        }
    }

}
module.exports = jdAuthAPI;