module.exports = {
    "appid": "201911061250",
    "label": "知产渠道api应用",
    "config": {
        "rstree": {
            "code": "paasroot",
            "label": "paas",
            "children": [
                // {
                //     "code": "register",
                //     "icon": "fa fa-power-off",
                //     "path": "register",
                //     "isMenu": false,
                //     "label": "注册",
                //     "isctl": "no"
                // },
            ],
        },
        "bizs": {

        },
        "pdict": {
            "logLevel": { "debug": 0, "info": 1, "warn": 2, "error": 3, "fatal": 4 },
            //应用数据操作类型
            "app_data_op_type": { "00": "独立", "10": "全委托", "20": "部分委托" },
            //支付类型
            "app_pay_type": { "00": "第三方支付", "10": "平台代收款" },
            //订单类型   
            "order_type": { "zzdd": "自主订单", "dkxd": "代客下单" },
            //订单付款状态   
            "order_pay_status": { "dfk": "待付款", "zfpz": "已上传支付凭证", "yfk": "已付款", "ddqx": "订单取消", "tkclz": "退款处理中", "bfytk": "部分已退款", "ytk": "已退款", "zfshbtg": "支付审核不通过" },
            //帐户类型（ 支付类型）
            "pay_account_type": { "cash": "现金", "bank": "银行", "wx": "微信", "alipay": "支付宝", "other": "其它" },
            //订单服务付款状态   
            "order_service_pay_status": { "dfk": "待付款", "yfk": "已付款" },
            //商标交付状态
            "delivery_status": { "dqrfa": "待确认方案", "fabtg": "方案不通过", "dsccl": "待上传材料", "dsh": "待审核", "ddj": "待递交", "ydj": "已递交", "ywc": "已完成" },
            //商标类型
            "tm_type": { "p": "普通商标", "j": "集体商标", "z": "证明商标", "t": "特殊商标" },
            //商标类型形式
            "tm_form_type": { "1": "立体", "3": "字", "4": "图", "5": "字图", "6": "颜色", "7": "彩色" },
            //商标官文回执类型
            "official_receipt_type": {
                "1": "商标注册申请书", "2": "商标注册申请补正通知书", "3": "商标注册申请受理通知书", "4": "商标注册申请不予受理通知书", "5": "商标注册同日申请补送使用证据通知书",
                "6": "商标注册同日申请协商通知书商标注册同日申请抽签通知书", "7": "商标驳回通知书", "8": "商标部分驳回通知书", "9": "商标注册申请初步审定公告通知书",
                "10": "商标异议答辩通知书", "11": "异议裁定书", "12": "纸质版商标注册证", "13": "电子版商标注册证"
            },
            //商标状态
            "official_type": {
                "1": "商标注册申请书", "2": "商标注册申请补正通知书", "3": "商标注册申请受理通知书", "4": "商标注册申请不予受理通知书", "5": "商标注册同日申请补送使用证据通知书",
                "6": "商标注册同日申请协商通知书商标注册同日申请抽签通知书", "7": "商标驳回通知书", "8": "商标部分驳回通知书", "9": "商标注册申请初步审定公告通知书",
                "10": "商标异议答辩通知书", "11": "异议裁定书", "12": "纸质版商标注册证", "13": "电子版商标注册证",
                "dsccl": "待上传材料", "dqrfa": "待确认方案", "fabtg": "方案不通过", "dsh": "待审核", "shbtg": "审核不通过", "ddj": "待递交", "ydj": "已递交", "djyc": "递交异常"
            },
            //申请企业类型
            "customer_type": { "ent": "企业", "person": "个人" },
            //附件类型
            "stuff_type": { "csty": "彩色图样", "wts": "委托书", "gzwts": "盖章委托书", "ty": "图样", "sywj": "声音文件", "smwj": "说明文件" },
            //来源类型
            "source_type": { "order": "订单", "expensevoucher": "费用单", "receiptvoucher": "收款单", "refundvoucher": "退款单", "trademark": "商标单" },
            //审核状态
            "audit_status": { "dsh": "待审核", "btg": "不通过", "tg": "通过" },
            //收款类型
            "receipt_type": { "sk": "收款", "csrz": "初始入账", "ptdsk": "平台代收款" },
            //退款类型
            "refund_type": { "tk": "退款", "ptdtk": "平台代退款" },
            //费用类型
            "expense_type": { "gf": "官费", "sxf": "手续费", "tax": "税金", "salary": "薪酬", "sale": "销售费用", "mag": "管理费用", "channelSettleProfit": "订单渠道分润结算" },
            //凭单类型
            "direction_type": { "sr": "收", "zc": "支" },
            "push_return_type": { "0": "推送失败", "1": "推送成功" },
        },
    }
}