<a name="menu" href="/doc">返回主目录</a>
1. [尼斯查询（一）](#getNcl)
1. [尼斯查询（二）](#getNclTwo)



## **<a name="getNcl"> 尼斯查询（一）</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getNcl
``` javascript
    {
        "nclcode": "01"   //Y string 尼斯编号（尼斯大类类别获取群组类别）
    }
```

#### 返回结果
```javascript
    {
        "status": 0,//操作状态0:操作成功-1:操作失败
        "msg": "操作成功",//操作信息
        "data": [
            {
                "code": "01",//尼斯大类编码
                "name": "",//大类名称
                "pcode": "",//父类编码 大类要为父类则为空
                "type": 1,
                "children": [//尼斯群组信息
                    {
                        "code": "0106",//群组编码
                        "name": "化学试剂",//群组名称
                        "pcode": "01",//群组父类编码 即其所属大类编码
                        "type": 1,
                        "children": [//尼斯小类
                            {
                                "code": "010122",//小类编码
                                "name": "生物化学催化剂",//小类名称
                                "pcode": "0106"//小类父类编码 即其所属群组编码
                            }
                        ]
                    }
                ]
            },
            {
                "code": "42",
                "name": "",
                "pcode": "",
                "type": 1,
                "children": [
                    {
                        "code": "4211",
                        "name": "提供化学研究服务",
                        "pcode": "42",
                        "type": 1,
                        "children": [
                            {
                                "code": "",
                                "name": "生物化学研究和分析",
                                "pcode": "4211"
                            }
                        ]
                    }
                ]
            }
        ],
        "requestId": "8cd7e91ec607453c805da8302f3e068c"
    }
```

## **<a name="getNclTwo"> 尼斯查询（二）</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getNcl

``` javascript
    {
        "name": "生物化学",//Y strin 尼斯名称
        "ncls ": ["01"]//N List 尼斯大类编码列表
    }
```

#### 返回结果
```javascript
    {
        "status": 0,//操作状态0:操作成功-1:操作失败
        "msg": "操作成功",//操作信息
        "data": [
            {
                "code": "01",//尼斯大类编码
                "name": "",//大类名称
                "pcode": "",//父类编码 大类要为父类则为空
                "type": 1,
                "children": [//尼斯群组信息
                    {
                        "code": "0106",//群组编码
                        "name": "化学试剂",//群组名称
                        "pcode": "01",//群组父类编码 即其所属大类编码
                        "type": 1,
                        "children": [//尼斯小类
                            {
                                "code": "010122",//小类编码
                                "name": "生物化学催化剂",//小类名称
                                "pcode": "0106"//小类父类编码 即其所属群组编码
                            }
                        ]
                    }
                ]
            },
            {
                "code": "42",
                "name": "",
                "pcode": "",
                "type": 1,
                "children": [
                    {
                        "code": "4211",
                        "name": "提供化学研究服务",
                        "pcode": "42",
                        "type": 1,
                        "children": [
                            {
                                "code": "",
                                "name": "生物化学研究和分析",
                                "pcode": "4211"
                            }
                        ]
                    }
                ]
            }
        ],
        "requestId": "8cd7e91ec607453c805da8302f3e068c"
    }
```


